language: cn
model_unique_abbr: individual_access
version: 1.0
identification:
  docker_image_name: individual_access:1.0
  model_name: 个人可达性度量方法
  semantic: Personal accessibility measurement methods
  description: 基于时间地理实体构建个体的活动空间，然后计算其可达性
  category_application: 处方型
  category_data:
  - 时空数据
  keywords:
  - 活动空间
  - 可达性

parameter_info:
  parameters:
  - arg_name: poiFile
    is_single_en_dash: false
    param_type: input_data
    name: POI数据
    description: POI信息，包含POI的位置，名称，类别等信息，csv
    data_type: csv
    data_semantic: POI data  

  - arg_name: userInfoFile
    is_single_en_dash: false
    param_type: input_data
    name: 用户信息数据
    description: userInfo包含用户的基本信息，数据中需包含所有用户的用户ID，姓名，性别，年龄，工作，家和工作地,csv
    data_type: csv
    data_semantic: userInfo_data

  - arg_name: trajFile
    is_single_en_dash: false
    param_type: input_data
    name: 用户轨迹数据
    description: 包含用户的时空位置以及出行活动信息trajectory,csv
    data_type: csv
    data_semantic: trajectory data

  - arg_name: minX
    is_single_en_dash: false
    param_type: param
    name: 最小坐标x
    description: minX
    data_type: float
    data_semantic: Define the minX of the grid to measure individual activity space
    specification:
      default: 12656431.323155899
      range:
        - "(0,)" 

  - arg_name: minY
    is_single_en_dash: false
    param_type: param
    name: 最小坐标y
    description: minY
    data_type: float
    data_semantic: Define the minY of the grid to measure individual activity space
    specification:
      default: 3499600.399795701
      range:
        - "(0,)" 

  - arg_name: maxX
    is_single_en_dash: false
    param_type: param
    name: 最大X
    description: maxX
    data_type: float
    data_semantic: Define the maxX of the grid to measure individual activity space
    specification:
      default: 12810119.457423057
      range:
        - "(0,)" 

  - arg_name: maxY
    is_single_en_dash: false
    param_type: param
    name: 最大Y
    description: maxY
    data_type: float
    data_semantic: Define the maxY of the grid to measure individual activity space
    specification:
      default: 3680020.728794876
      range:
        - "(0,)" 

  - arg_name: dx
    is_single_en_dash: false
    param_type: param
    name: dx
    description: dx
    data_type: float
    data_semantic: Define the x interval of the grid to measure individual activity space
    specification:
      default: 500
      range:
        - "(0,)"     

  - arg_name: dy
    is_single_en_dash: false
    param_type: param
    name: dy
    description: dy
    data_type: float
    data_semantic: Define the y interval of the grid to measure individual activity space  
    specification:               
      default: 500
      range:
      - "(0,)" 
   
  - arg_name: output
    is_single_en_dash: false
    param_type: output_data
    name: 结果数据
    description: 输出结果的csv文件，包含个体的ID和对应的可达性值
    data_type: csv
    data_semantic: result data

application:
  domain: 通达性分析
  objective: 实现个体的可达性度量
  dimension:
  - 三维
  mechanism: 基于时间地理学构建个人的活动空间，然后基于累计机会法度量个人可达性
operation:
  usage: 该算法需要三个参数，用户信息数据(userFile)，用户轨迹数据(TrajFile)，POI数据(poiFile)。
  exec_example:
  - docker run -v $(pwd):/data individual_access:1.0 --poiFile /data/poi_wuhan_wgs84.csv --userInfoFile /data/userInfo.csv --trajFile /data/trajectory.csv --minX 12656431.323155899 --minY 3499600.399795701 --maxX 12810119.457423057 --maxY 3680020.728794876 --dx 500 --dy 500 --output /data/result.csv
  output_display:
  - 用户ID和对应的可达性值
technique:
  language:
  - Python
  os:
  - Linux
  - Windows
  dependencies:
  - name: argparse4j
    version: 0.9.0
source:
  maintainer: Zhangyu && Zhongyuxiang
  organization: Wuhan University
  contact: 9027575@qq.com
  references:
  - "CHEN, B. Y., et al. 2018. Understanding the impacts of human mobility on accessibility using massive mobile phone tracking data. Annals of the American Association of Geographers, 108(4), 1115-1133."
